Package com.sun.jna.platform.win32

## Class WinBase.FILE_STANDARD_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.FILE_STANDARD_INFO

- Direct Known Subclasses:
    `WinBase.FILE_STANDARD_INFO.ByReference`
  Enclosing interface:
    WinBase

      @FieldOrder({"AllocationSize","EndOfFile","NumberOfLinks","DeletePending","Directory"})
      public static class WinBase.FILE_STANDARD_INFO
      extends Structure

  Receives extended information for the file. Used for file handles. Use only when calling GetFileInformationByHandleEx.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `WinBase.FILE_STANDARD_INFO.ByReference` |

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `WinNT.LARGE_INTEGER` | `AllocationSize` | The amount of space that is allocated for the file.
    `boolean` | `DeletePending` | TRUE if the file in the delete queue; otherwise, false.
    `boolean` | `Directory` | TRUE if the file is a directory; otherwise, false.
    `WinNT.LARGE_INTEGER` | `EndOfFile` | The end of the file.
    `int` | `NumberOfLinks` | The number of links to the file.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FILE_STANDARD_INFO()` |
    `FILE_STANDARD_INFO​(WinNT.LARGE_INTEGER AllocationSize, WinNT.LARGE_INTEGER EndOfFile, int NumberOfLinks, boolean DeletePending, boolean Directory)` |
    `FILE_STANDARD_INFO​(Pointer memory)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `sizeOf()` |

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AllocationSize

          public WinNT.LARGE_INTEGER AllocationSize

      The amount of space that is allocated for the file.

    - #### EndOfFile

          public WinNT.LARGE_INTEGER EndOfFile

      The end of the file.

    - #### NumberOfLinks

          public int NumberOfLinks

      The number of links to the file.

    - #### DeletePending

          public boolean DeletePending

      TRUE if the file in the delete queue; otherwise, false.

    - #### Directory

          public boolean Directory

      TRUE if the file is a directory; otherwise, false.

  - ### Constructor Detail

    - #### FILE_STANDARD_INFO

          public FILE_STANDARD_INFO()

    - #### FILE_STANDARD_INFO

          public FILE_STANDARD_INFO​(Pointer memory)

    - #### FILE_STANDARD_INFO

          public FILE_STANDARD_INFO​(WinNT.LARGE_INTEGER AllocationSize,
                                    WinNT.LARGE_INTEGER EndOfFile,
                                    int NumberOfLinks,
                                    boolean DeletePending,
                                    boolean Directory)

  - ### Method Detail

    - #### sizeOf

          public static int sizeOf()